PRGDIR=`dirname $0`
WSAMI_HOME=`cd "$PRGDIR/.." ; pwd`
. $WSAMI_HOME/bin/setvars.sh

if [ "$cygwin" = "true" ]; then
 	java -classpath ".;$WSAMI_CLASSPATH" org.apache.axis.wsdl.WSDL2Java $1;
else
	java -classpath .:$WSAMI_CLASSPATH org.apache.axis.wsdl.WSDL2Java $1;
fi

if [ $# -gt 2 ]; then
    FILELIST=
    CLASSPATH_TOADD=$2

    shift 2
    while [  $1 ]; do
       if [ -n $1 -a -e $1 ]; then
            if [ -d $1 ]; then
                    FILELIST="$FILELIST `find $1 -name "*.java"`";
            else
                    FILELIST="$FILELIST $1";
            fi
       fi
       shift;
    done

    if [ "$cygwin" = "true" ]; then
            WSAMI_CLASSPATH2=`cygpath --path --windows ".;$WSAMI_CLASSPATH;$CLASSPATH_TOADD"`
            javac -classpath "$WSAMI_CLASSPATH2" -d .  $FILELIST;
    else
            javac -classpath .:$WSAMI_CLASSPATH:$CLASSPATH_TOADD -d .  $FILELIST;
    fi

fi


