#!/bin/sh

# $1: jsp folder
# $2: servlets output folder

echo current: $PWD

# modify the .java to reference servlets as name (w/o trailing .jsp) instead of name.jsp

cd $1
export jspFiles=$(ls *.jsp)

echo jspFiles: $jspFiles

cd $2
for i in *.java ; do

    for j in $jspFiles ; do
	
	oldname=$j
	newname=$(basename $oldname .jsp)
	# echo oldname: $oldname
	# echo newname: $newname

	sed -e "s/${oldname}/${newname}/g" $i > $i.new
	mv $i $i.bkp 
	mv $i.new $i
    
    done

done

#rename files
for i in *.java ; do

    mv $i $(basename $i _jsp.java).java
done