<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">


<%@ include file="imports.jsp" %>
<%@ include file="stub.jsp" %>
<%@ include file="session.jsp" %>

<html>
  <head>
    <title> YellowPages Service - Main Page </title>

<script language="javascript" type="text/javascript">

    <!-- hide me
function addValue(category)
{
      var value = prompt("Enter the value for category "+category,"");

      document.forms[1].expression.value=document.forms[1].expression.value+' '+ category + '=' + "'"+ value +"'"

}
    // ends the hide me -->

function addOp(operator)
{

      document.forms[1].expression.value=document.forms[1].expression.value+' '+ operator + ' '

}
    // ends the hide me -->

</script>

  </head>

  <body>

<%@ include file="navBar.jsp" %>

    <h1> Browse By Category </h1>
	  
	<%@ include file="displayErrorMessage.jsp" %>

	  <table border="1">

	    <thead>
	      <tr> 
		<th> Name </th>
		<th> Description </th>
	      </tr>
	    </thead>
	    
	  <%	
		//CategoryEnumeration categoryEnumeration = yellowPagesService.getCategories();
		//Category [] categories = categoryEnumeration.getCategories();

                Category [] categories = yellowPagesService.getCategories();
		for(int i=0 ; i < categories.length ; i++){
			Category currentCategory = categories[i];
	  %>
	 

	  <tr>
	    <td>
	      <% String url = "find.jsp?category=" + currentCategory.getName()+ "&#038;street=&#038;city=&#038;zip=0" ; %>
	      <a href=" <%= url %>">
		<%= currentCategory.getName() %>
	      </a>
	    </td>
	    
	    <td>
	      <%= currentCategory.getDescription() %>
	    </td>
	    
	  </tr>
	  
	  <%
		} // for
	  %>
	   
	  
	  </table>

    <h1> Simple AND Search </h1>

          <form method="get"
                action="find.jsp"
                enctype= "application/x-www-form-urlencoded">

	    <fieldset>
	      <legend> Simple AND Search </legend>
	      
	      <table border="1">
		
		<tr>
		  <td>
			<label for="category"> Category:  </label>
		  </td>
		  <td> 
			<input type="text"
				name="category"
				id="category"
				size="16"
				maxlength="16" 
				/>

		  </td>
		</tr>
		
		<tr>
		  <td>
			<label for="street"> Street:  </label>
		  </td>
		  <td> 
			<input type="text"
				name="street"
				id="street"
				size="16"
				maxlength="16" 
				/>

		  </td>
		</tr>
		
		<tr>
		  <td>
			<label for="zip"> ZIP:  </label>
		  </td>
		  <td> 
			<input type="text"
				name="zip"
				id="zip"
				size="16"
				maxlength="16" 
				/>

		  </td>
		</tr>

		<tr>
		  <td>
			<label for="city"> City:  </label>
		  </td>
		  <td> 
			<input type="text"
				name="city"
				id="city"
				size="16"
				maxlength="16" 
				/>

		  </td>
		</tr>

	      </table>

	      <input type= "submit"
                     name="submit"
                     value="submit"
                     />
              
              
              <input type= "reset" 
                     name="reset"
                     value="reset"
                     />
	      
	      
	    </fieldset>	
	  </form>

    <h1> Advanced Search - SQL-like Syntax</h1>

          <form method="get"
                action="findSQL.jsp"
                enctype= "application/x-www-form-urlencoded">


	    <fieldset>
	      <legend> Advanced Search </legend>


	      
			<input type="button"
			        value="and"
			       onClick="addOp('and')"
				/>	 
			<input type="button"
			        value="or"
			       onClick="addOp('or')"
				/>	 
			<input type="button"
			        value=" ( "
			       onClick="addOp('(')"
				/>	
			<input type="button"
			        value=" ) "
			       onClick="addOp(')')"
				/>	
	<br />
			<input type="button"
			        value="street"
			       onClick="addValue('street')"
				/>	  
			<input type="button"
			        value="zip"
			       onClick="addValue('zip')"
				/>	 
			<input type="button"
			        value="city="
			       onClick="addValue('city')"
				/>	 
			<input type="button"
			        value="category"
			       onClick="addValue('categoryName')"
				/>	 
	<br />
			<input type="text"
				name="expression"
				id="expression"
				size="50"
				/>	 

		<br />
	      <input type= "submit"
                     name="submit"
                     value="submit"
                     />
              
              
              <input type= "reset" 
                     name="reset"
                     value="reset"
                     />
	           
	      
	    </fieldset>


    </form>
<!-- bottom banner -->
<%@ include file="bottombanner.jsp" %>

  </body>
</html>
