package GWService;

import java.util.*;
import java.io.*;
import CoreBroker.Syslog;

public class GWImpl implements GWService.GWInterface{

    /* in CoreBroker.IFUtils:
     *      ADHOC == 1
     *      WIRED == 3
     *      WIRELESS IB == 2
     */
    
    
    public java.lang.String getGWIPAddr() 
            throws java.rmi.RemoteException
    {
                                
        CoreBroker.IFUtils util = new CoreBroker.IFUtils();

        CoreBroker.NetworkIFDescr[] nwifInfo = util.getNetworkInfo();
        
        if (nwifInfo!= null && nwifInfo.length > 0) {
            for (int i=0; i<nwifInfo.length; i++) {
                if (nwifInfo[i] != null)
                    Syslog.debug(this,i+") "+nwifInfo[i].name+" >"+nwifInfo[i].ipAddr+" >"+nwifInfo[i].mode+" >"+nwifInfo[i].essid);
                if (!nwifInfo[i].name.equals("lo") && 
                        (nwifInfo[i].mode == CoreBroker.IFUtils.ADHOC))
                    return nwifInfo[i].ipAddr;        
            }
            return null;
        } else
            return null;
    }

}
