-- create database hotel;
-- use hotel;




-- MySQL dump 9.11
--
-- Host: localhost    Database: hotel
-- ------------------------------------------------------
-- Server version       4.0.20-standard
mysqldump: Got error: 1044: Access denied for user: '@localhost' to database 'hotel' when selecting the database
[sacchett@castillo sacchett]$ mysqldump --user=root hotel
-- MySQL dump 9.11
--
-- Host: localhost    Database: hotel
-- ------------------------------------------------------
-- Server version       4.0.20-standard

--
-- Table structure for table `Client`
--

CREATE TABLE Client (
  id int(11) NOT NULL auto_increment,
  firstName varchar(255) default NULL,
  surName varchar(255) default NULL,
  password varchar(255) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `Client`
--

INSERT INTO Client VALUES (1,'sami','dalouche','oki');
INSERT INTO Client VALUES (2,'sami','dalouche','oki');
INSERT INTO Client VALUES (3,'first1','sur1','sur');
INSERT INTO Client VALUES (4,'Sami','Dalouche','dalouche');
INSERT INTO Client VALUES (41,'Rafik','Chib','pass');
INSERT INTO Client VALUES (44,'test','test','test');
INSERT INTO Client VALUES (43,'rgh','ghjk','124');
INSERT INTO Client VALUES (42,'aaaaaa','yyyyy','pass');
INSERT INTO Client VALUES (45,'vincent','coronini','1234');
INSERT INTO Client VALUES (46,'leonard','sylvain','arbre');
INSERT INTO Client VALUES (47,'','','');
INSERT INTO Client VALUES (48,'georges','toto','clef');
INSERT INTO Client VALUES (49,'sandrine','boute','cedrick');
INSERT INTO Client VALUES (50,'claire','clairette','ca');

--
-- Table structure for table `Hotel`
--

CREATE TABLE Hotel (
  id int(11) NOT NULL auto_increment,
  name varchar(255) default NULL,
  stars int(11) default NULL,
  street varchar(255) default NULL,
  zip int(11) default NULL,
  city varchar(255) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

--
-- Dumping data for table `Hotel`
--

INSERT INTO Hotel VALUES (1,'Etoiles de Paris',3,'Avenue des Champs Elysees',75008,'paris');
INSERT INTO Hotel VALUES (2,'Mercure',4,'Rue de la paix',78322,'Le Chesnay');
INSERT INTO Hotel VALUES (3,'Hotel De Ville',4,'Avenue de l\'europe',78000,'versailles');
INSERT INTO Hotel VALUES (4,'Hotel President',4,'Rue du pont',75001,'paris');

--
-- Table structure for table `HotelPrices`
--

CREATE TABLE HotelPrices (
  hotelId int(11) NOT NULL default '0',
  roomSize int(11) NOT NULL default '0',
  roomPrice float default NULL,
  totalRooms int(11) default NULL,
  PRIMARY KEY  (hotelId,roomSize)
) TYPE=MyISAM;

--
-- Dumping data for table `HotelPrices`
--

INSERT INTO HotelPrices VALUES (1,1,20,1);
INSERT INTO HotelPrices VALUES (1,2,50,1);
INSERT INTO HotelPrices VALUES (1,3,150,2);
INSERT INTO HotelPrices VALUES (2,1,200,1);
INSERT INTO HotelPrices VALUES (2,2,500,1);
INSERT INTO HotelPrices VALUES (1,4,180,2);
INSERT INTO HotelPrices VALUES (1,5,220,3);
INSERT INTO HotelPrices VALUES (2,3,40,2);
INSERT INTO HotelPrices VALUES (2,4,60,2);
INSERT INTO HotelPrices VALUES (2,5,160,4);
INSERT INTO HotelPrices VALUES (3,5,160,3);
INSERT INTO HotelPrices VALUES (3,4,120,2);
INSERT INTO HotelPrices VALUES (3,3,80,2);
INSERT INTO HotelPrices VALUES (3,2,60,1);
INSERT INTO HotelPrices VALUES (3,1,50,1);
INSERT INTO HotelPrices VALUES (4,1,40,1);
INSERT INTO HotelPrices VALUES (4,2,65,1);
INSERT INTO HotelPrices VALUES (4,3,80,1);
INSERT INTO HotelPrices VALUES (4,4,180,3);
INSERT INTO HotelPrices VALUES (4,5,200,3);

--
-- Table structure for table `Reservations`
--

CREATE TABLE Reservations (
  reservationId int(11) NOT NULL auto_increment,
  clientId int(11) default NULL,
  hotelId int(11) default NULL,
  roomSize int(11) default NULL,
  startDate date default NULL,
  nights int(11) default NULL,
  hotelName varchar(16) default NULL,
  PRIMARY KEY  (reservationId)
) TYPE=MyISAM;

--
-- Dumping data for table `Reservations`
--

INSERT INTO Reservations VALUES (5,3,1,1,'2003-04-05',5,'Etoiles de Paris');
INSERT INTO Reservations VALUES (3,7,1,1,'2003-06-06',4,'Etoiles de Paris');
INSERT INTO Reservations VALUES (6,9,1,1,'2003-05-02',5,'Etoiles de Paris');
INSERT INTO Reservations VALUES (7,11,1,1,'2003-09-11',1,'Etoiles de Paris');
INSERT INTO Reservations VALUES (8,11,2,2,'2003-09-12',2,'Mercure');
INSERT INTO Reservations VALUES (47,45,1,1,'2004-06-22',2,'Etoiles de Paris');
INSERT INTO Reservations VALUES (37,42,1,2,'2003-12-18',2,'Etoiles de Paris');
INSERT INTO Reservations VALUES (60,41,4,2,'1970-01-16',3,'Hotel President');
INSERT INTO Reservations VALUES (59,41,1,2,'2004-07-01',4,NULL);
INSERT INTO Reservations VALUES (52,46,4,2,'2004-07-14',5,'Hotel President');
INSERT INTO Reservations VALUES (53,48,2,1,'2004-07-07',3,'Mercure');
INSERT INTO Reservations VALUES (54,49,4,2,'2004-07-07',4,'Hotel President');

