<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

      <%@ include file="imports.jsp" %>
      <%@ include file="stub.jsp" %>
      <%@ include file="session.jsp" %>
      
      <html>
	<head>
	  <title>Hotel Service - Reservation Creation</title>
	</head>
	
	<body>
<%@ include file="navBar.jsp" %>
	  <!-- variables -->

	  <!-- parametters -->
	  <% 
          String hotelIdString = request.getParameter("hotelId");
	  String hotelNameString = request.getParameter("hotelName");
	  String roomSizeString = request.getParameter("roomSize");
	  String startDateString = request.getParameter("startDate");
	  String nightsString = request.getParameter("nights");

	  
	  String clientIdString = (String) session.getAttribute("login");
	  BigInteger clientId = new BigInteger(clientIdString);
	  String password = (String) session.getAttribute("password");

	  BigInteger hotelId = null;
	  String hotelName;
          BigInteger roomSize = null;
	  BigInteger nights = null;

	  Calendar startDate = null;

	  try{
	       hotelId = new BigInteger(hotelIdString);
               hotelName = hotelNameString;
	       roomSize = new BigInteger(roomSizeString);
	       nights = new BigInteger(nightsString);
	  
	       SimpleDateFormat formatter = new SimpleDateFormat("yyyy/MM/dd");
               formatter.parse(startDateString);
               startDate = formatter.getCalendar();
	  
	  } catch(Exception ex){
	  session.setAttribute("error","hotelId, roomSize and nights must be numbers, startDate must be expressed as YYYY/MM/DD"); %>
	  
	  <jsp:forward page="createReservation.jsp" />
	    
	      <%  } 
	    
	   
	    BigInteger reservationId = null;
	    try{
	    // add the reservation

	    reservationId = hotelService.createReservation(clientId,hotelId,hotelName,roomSize, password, startDate,nights);

	    } catch(HotelException ex){
	    session.setAttribute("error", ex.getErrorMessage()); %>
	    
	    <jsp:forward page="createReservation.jsp" />
	      
	      <%  }
	      
	     
	      catch(Exception ex){
	      session.setAttribute("error","unknown error"); %>
	      
	      
	      <jsp:forward page="createReservation.jsp" />
		
		<%  }   %>
		
		<p> 
		  The Reservation has been successfully added. <br />
		  Please Keep this information: 
		  reservationId: <%= reservationId %>
		  Your account will soon get charged.
		</p>

		  <!-- bottom banner -->
		  <%@ include file="bottombanner.jsp" %>
		  
	</body>
      </html>
      

