package YellowPagesService.database;

import YellowPagesService.*;

import java.math.*;

public class DatabaseException extends Exception{

    private java.math.BigInteger errorCode;
    private java.lang.String errorMessage;

    public DatabaseException() {
      
    }

    public DatabaseException(
           java.math.BigInteger errorCode,
           java.lang.String errorMessage) {
        this.errorCode = errorCode;
        this.errorMessage = errorMessage;
    }

    public java.math.BigInteger getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(java.math.BigInteger errorCode) {
        this.errorCode = errorCode;
    }

    public java.lang.String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(java.lang.String errorMessage) {
        this.errorMessage = errorMessage;
    }

}
