package CoreBroker;

public class BasicCustomizer {
    
    private String customizerSessionID;    
    
    // previous version
    //private BrokerWrapper broker = CoreBroker.BrokerFactory.getServerInstance();
    
    // new version to verify if it works
    private BrokerWrapper broker;    
    public BasicCustomizer() {
        try {
            broker = CoreBroker.BrokerFactory.getServerInstance();
        } catch (CBException ex) {
            ex.printStackTrace();
        }
    }
    ////////////////////////////////////////
    
    public void setCustomizerSessionID(String sID)
    {
        customizerSessionID = sID;
    }
    
    public String getRC()    
    {
        String s = broker.getCustomizerRC(customizerSessionID);
        return s+"?"+customizerSessionID;
    }
    
    public String getWS()    
    {
        return broker.getCustomizerWS(customizerSessionID);
    }
    
}
