package CoreBroker;

import java.io.OutputStream;

import java.io.IOException;
import java.io.InputStream;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;




public class Syslog {

    
    private static OutputStream logOS = System.out;
    public final static int DEBUG = 0;
    public final static int INFO = 1;
    public final static int WARNING = 2;
    public final static int ERROR = 3;
    public final static int FATAL = 4;
    private static int logLevel = DEBUG;

    public static void setLogOutputStream(OutputStream os) {
        logOS = os;
    }
    
    public static void writelog(String line) {
        try {            
            logOS.write((line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }
    
    public static void setLogLevel(int level) {
        logLevel = level;
    }

    public static void debug(Object o, String line) {
        try {            
	    if (logLevel <= DEBUG)
		logOS.write(("[DBUG] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }
   
    public static void info(Object o, String line) {
        try {            
	    if (logLevel <= INFO)
		logOS.write(("[INFO] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }  

    public static void warning(Object o, String line) {
        try {            
	    if (logLevel <= WARNING)
		logOS.write(("[WARN] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }
   
    public static void error(Object o, String line) {
        try {            
	    if (logLevel <= ERROR)
		logOS.write(("[EROR] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }  

    public static void fatal(Object o, String line) {
        try {            
	    if (logLevel <= FATAL)
		logOS.write(("[FATL] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }   
    /*
    public static void debugnonl(Object o, String line) {
        try {            
	    if (logLevel <= DEBUG)
		logOS.write(("[DBUG]"+line).getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }
   
    public static void infononl(Object o, String line) {
        try {            
	    if (logLevel <= INFO)
		logOS.write(("[INFO]"+line).getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }  

    public static void warningnonl(Object o, String line) {
        try {            
	    if (logLevel <= WARNING)
		logOS.write(("[WARN]"+line).getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }
   
    public static void errornonl(Object o, String line) {
        try {            
	    if (logLevel <= ERROR)
		logOS.write(("[EROR]"+line).getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }  

    public static void fatalnonl(Object o, String line) {
        try {            
	    if (logLevel <= FATAL)
		logOS.write(("[FATL]"+line).getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }       
    */
    public static void debug(Class c, String line) {
        try {            
	    if (logLevel <= DEBUG)
		logOS.write(("[DBUG] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }
   
    public static void info(Class c, String line) {
        try {            
	    if (logLevel <= INFO)
		logOS.write(("[INFO] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }  

    public static void warning(Class c, String line) {
        try {            
	    if (logLevel <= WARNING)
		logOS.write(("[WARN] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }
   
    public static void error(Class c, String line) {
        try {            
	    if (logLevel <= ERROR)
		logOS.write(("[EROR] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }  

    public static void fatal(Class c, String line) {
        try {            
	    if (logLevel <= FATAL)
		logOS.write(("[FATL] "+line+"\n").getBytes());
        } catch (java.io.IOException ex) {
            ex.printStackTrace();
        }
    }   
        
    
}
