package csoap;

import java.io.*;
import csoap.xml.rpc.encoding.TypeMappingRegistryImpl;
import csoap.xml.rpc.handler.HandlerRegistryImpl;
import csoap.deployment.*;
import csoap.server.*;
import javax.xml.rpc.handler.HandlerRegistry;
import csoap.util.*;

public class GlobalManagingClient2 {

    protected HandlerRegistryImpl handlerRegistry = new HandlerRegistryImpl();
    protected TypeMappingRegistryImpl typeMappingRegistry = new TypeMappingRegistryImpl();
    protected deployedServices objectServices = new deployedServices();
    protected deployment objectDeployment = new deployment(objectServices, typeMappingRegistry, handlerRegistry);
    

    
    
    public int receiveWsdd(InputStream is) 
      	  {   
	      log.setLevelDebug(log.LEVEL_LOW);
	      return objectDeployment.deploy(is,objectServices);
	  }
         
   /*
    *   URI parameter added for CoreBroker Customization compatibility
    */

     
    public HandlerRegistry getHandlerRegistry() {
        return handlerRegistry;
    }


   
}
