package csoap.xml.soap;

import javax.xml.soap.*;
import java.util.Vector;
import java.util.Iterator;

public class SOAPFaultImpl extends SOAPBodyElementImpl implements SOAPFault
{
    DetailImpl detail;
    
    public SOAPFaultImpl()
    {
	super("Fault");
	detail = new DetailImpl();
    }
    
  public Detail addDetail()
  {
    DetailImpl forReturn = new DetailImpl();
    return forReturn;
  }
  public Detail getDetail()
  {
    return detail;
  }
  public String getFaultActor()
  {
      Iterator childs = getChildElements(new NameImpl("faultactor"));
      if (childs.hasNext()) 
	  {
	      SOAPElementImpl faultactor = (SOAPElementImpl)childs.next();
	      if (faultactor != null) return faultactor.getValue();
	  }
      return "";
  }
  public String getFaultCode()
  {
      Iterator childs = getChildElements(new NameImpl("faultcode"));
      if (childs.hasNext()) 
	  {
	      SOAPElementImpl faultcode = (SOAPElementImpl)childs.next();
	      if(faultcode != null) return faultcode.getValue();
	  }
      return "";
  }
  public String getFaultString()
  {
      Iterator childs = getChildElements(new NameImpl("faultstring"));
      if (childs.hasNext()) 
	  {
	      SOAPElementImpl faultstring = (SOAPElementImpl)childs.next();
	      if (faultstring != null) return faultstring.getValue();
	  }
      return "";
  }
  public void setFaultActor(String FaultActor)
  {
      
      SOAPFaultElementImpl faultactor = new SOAPFaultElementImpl(new NameImpl("faultactor"));
      faultactor.addTextNode(FaultActor);
      this.addChildElement(faultactor);
  }
  public void setFaultCode(String FaultCode)
  { 
      SOAPFaultElementImpl faultcode = new SOAPFaultElementImpl(new NameImpl("faultcode"));
      faultcode.addTextNode(FaultCode);
      this.addChildElement(faultcode);
  }
  public void setFaultString(String FaultString)
  {
     SOAPFaultElementImpl faultstring = new SOAPFaultElementImpl(new NameImpl("faultstring"));
      faultstring.addTextNode(FaultString);
      this.addChildElement(faultstring);
  }

}
